org.apache.lucene.analysis.th

## Class ThaiAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.util.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.th.ThaiAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class ThaiAnalyzer
      extends StopwordAnalyzerBase

  `Analyzer` for Thai language. It uses `BreakIterator` to break words.

  You must specify the required `Version` compatibility when creating ThaiAnalyzer:

  - As of 3.6, a set of Thai stopwords is used by default

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_STOPWORD_FILE` File containing default Thai stopwords.

    - ### Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `matchVersion, stopwords`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThaiAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words.
    `ThaiAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    `static CharArraySet` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop words set.

    - ### Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOPWORD_FILE

          public static final String DEFAULT_STOPWORD_FILE

      File containing default Thai stopwords.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ThaiAnalyzer

          public ThaiAnalyzer(Version matchVersion)

      Builds an analyzer with the default stop words.
      Parameters:
        `matchVersion` - lucene compatibility version

    - #### ThaiAnalyzer

          public ThaiAnalyzer(Version matchVersion,
                      CharArraySet stopwords)

      Builds an analyzer with the given stop words.
      Parameters:
        `matchVersion` - lucene compatibility version
        `stopwords` - a stopword set

  - ### Method Detail

    - #### getDefaultStopSet

          public static CharArraySet getDefaultStopSet()

      Returns an unmodifiable instance of the default stop words set.
      Returns:
        default stop words set.

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                        Reader reader)

      Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `ThaiWordFilter`, and `StopFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.